#
# spec file for package python-pyscard
#
# Copyright (c) 2011 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define modname pyscard

Name:           python-pyscard
Version:        1.6.16
Release:        1.1
Summary:        Python module adding smart card support
URL:            http://pyscard.sourceforge.net/
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  pcsc-lite-devel
BuildRequires:  python-devel
BuildRequires:  swig
BuildRequires:  recode
BuildRequires:  fdupes
Requires:       python-wxGTK

%if 0%{?suse_version}
%py_requires
%endif

%description
Python-pyscard consists of smartcard.scard, an extension module wrapping
Windows smart card base components (also known as PCSC) on Windows and PCSC
lite on linux and Mac OS X Tiger and Leopard, and smartcard, a higher level
python framework built on top of the raw PCSC API. 

This package is build from rev 529 of the svn repo at:
https://pyscard.svn.sourceforge.net/svnroot/pyscard/trunk

Authors:
--------
    Jean-Daniel Aussel <aussel.jean-daniel@gemalto.com>

%prep
%setup -q -n %{modname}-%{version}
mv smartcard/{ACKS,ChangeLog,doc,Examples,TODO} .
recode lat1..utf8 ACKS
sed -i 's/\r//g' LICENSE Examples/wx/*/setup.py

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(0644,root,root,0755)
%doc ACKS ChangeLog doc Examples LICENSE PKG-INFO README TODO 
%python_sitearch/*

%changelog
* Thu Jul 16 2015 t.gruner@katodev.de
- move changelog to a file
* Sat Jan 11 2014 pedro@pgalves - 1.6.16
- added support for windows 64bit amd64 (Jean-Daniel Aussel)
- support python "new" classes (derive classes from object) (Ludovic Rousseau from chrysn feature request ID 3110077)
- fixed Reader.__eq__() (Ludovic Rousseau from Bernard Paulus bug ID 3418113)
- fixed extended APDU transmit buffer too short by 2 (Jean-Daniel Aussel from bugs ID 2914636 and 3106761)
- make Card and Reader objects hashable (Jean-Daniel Aussel from Hans-Peter Jansen feature request and patch)
- convert the user guide to python-Sphinx
* Fri May 27 2011 hpj@urpla.net - 1.6.14
- update to 1.6.14 svn 529
* Wed May 25 2011 hpj@urpla.net - 1.6.12
- add docs
* Wed May 25 2011 hpj@urpla.net - 1.6.12
- initial version
